#include<bits/stdc++.h>
using namespace std;
long long n,m;
///IMA FORMULA ZA CEO!!!!!!!!!!!!
///ima nesto preko povrsine (mislim povrsina-obim+2...)
///pazi na long long (on mora)
long long obim,povrsina;
int main ()
{
    cin >> n >> m;

    if(n==1)
    {
        obim=m;
        goto preskakanje;
    }
    if(m==1)
    {
        obim=n;
        goto preskakanje;
    }

    obim=n*2+m*2-4;
    preskakanje:
    povrsina=n*m;

    cout << obim+trunc((povrsina-obim)/2) << endl;
}